<?php
/**
 * Clase CierrePedidoBL
 *
 * @package    
 * @subpackage 
 * @author     CierrePedidoBL
 * @version    SVN: $Id: CierrePedidoBL.class.php,v 1.1 2008/02/08 21:56:44 william.taype Exp $ 
 */
class CierrePedidoBL{
    
  /**
  * 
  *
  * @param $o_CierrePedidoBean, objeto de tipo CierrePedido 
  * @return Boolean
  */
  public function busquedaCierrePedido(CierrePedidoBean $o_CierrePedidoBean){
    
    $o_CierrePedidoDP = new CierrePedidoDP($o_CierrePedidoBean);
    if($o_CierrePedidoBean->getIdpedidofecha()){
      return $o_CierrePedidoDP->selectByPk();
    }else{
      return $o_CierrePedidoDP->select();
    }
    
  }
  
  public function busquedaCierrePedidoReport(CierrePedidoBean $o_CierrePedidoBean){
    
    $o_CierrePedidoDP = new CierrePedidoDP($o_CierrePedidoBean);
    if($o_CierrePedidoBean->getIdpedidofecha()){
      return $o_CierrePedidoDP->selectByPk();
    }else{
      return $o_CierrePedidoDP->selectReport();
    }
    
  }
  
  public function busquedaCierrePedidoResulset(CierrePedidoBean $o_CierrePedidoBean){
    
    $o_CierrePedidoDP = new CierrePedidoDP($o_CierrePedidoBean);
    return $o_CierrePedidoDP->selectResultset();
        
  }
  
  public function insertarCierrePedido(CierrePedidoBean $o_CierrePedidoBean){
    
    $o_CierrePedidoCT = new CierrePedidoCT();
    return $o_CierrePedidoCT->guardar($o_CierrePedidoBean);
    
  }
  public function modificarCierrePedido(CierrePedidoBean $o_CierrePedidoBean){
      $o_CierrePedidoCT = new CierrePedidoCT();
      return $o_CierrePedidoCT->modificar($o_CierrePedidoBean);
  }
  /**
	* Funci�n que retorna un objeto CierrePedido o una lista de Objetos de CierrePedido,
	* dependiendo del parametro que se le envia si este contiene o no el Id de CierrePedido
	*
	* @param $o_CierrePedidoBean, es un objeto de tipo CierrePedido
	* @return Object
	*/
	
  
  public function eliminarCierrePedido(CierrePedidoBean $o_CierrePedidoBean){
    $o_CierrePedidoCT = new CierrePedidoCT();
    return $o_CierrePedidoCT->eliminar($o_CierrePedidoBean);
    
  }
  
  public function getCountResult(CierrePedidoBean $o_CierrePedidoBean){
    $o_CierrePedidoCT = new CierrePedidoCT();
    return $o_CierrePedidoCT->totalRegistros($o_CierrePedidoBean);
  }
   
  public function getCountResultCC(CierrePedidoBean $o_CierrePedidoBean){
    $o_CierrePedidoCT = new CierrePedidoCT();
    return $o_CierrePedidoCT->totalRegistrosCC($o_CierrePedidoBean);
  }
  
}

